Docs
Miner API Reference
This section covers all endpoints related to miner.
List Chutes
GET/miner/chutes/
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/chutes/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
List Images
GET/miner/images/
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/images/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
List Nodes
GET/miner/nodes/
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/nodes/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
List Instances
GET/miner/instances/
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/instances/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| explicit_null | boolean | null | No | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
List Available Jobs
GET/miner/jobs/
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/jobs/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Release Job
DELETE/miner/jobs/{job_id}
API
Code Examples
curl -X DELETE "https://api.chutes.ai/miner/jobs/{job_id}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| job_id | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Get Full Inventory
GET/miner/inventory
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/inventory"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Metrics
GET/miner/metrics/
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/metrics/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Get Chute
GET/miner/chutes/{chute_id}/{version}
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/chutes/{chute_id}/{version}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| chute_id | string | Yes | |
| version | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Get Stats
Get invocation status over different intervals.
GET/miner/stats
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/stats"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| miner_hotkey | string | null | No | |
| per_chute | boolean | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Get Scores
GET/miner/scores
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/scores"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| hotkey | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Unique Chute History
GET/miner/unique_chute_history/{hotkey}
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/unique_chute_history/{hotkey}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| hotkey | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Get Metagraph
GET/miner/metagraph
API
Code Examples
curl -X GET "https://api.chutes.ai/miner/metagraph"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |